## org.eclipse.datatools.connectivity.oda.design
Class AxisType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.connectivity.oda.design.AxisType

public final class AxisType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Axis Type', and utility methods for working with them. Axis type of a result set column.

See Also:
  `DesignPackage.getAxisType()`, Serialized Form

Field Summary
`static java.lang.String` `copyright`
`static int` `DIMENSION_ATTRIBUTE` The 'Dimension Attribute' literal value.
`static AxisType` `DIMENSION_ATTRIBUTE_LITERAL` The 'Dimension Attribute' literal object.
`static int` `DIMENSION_MEMBER` The 'Dimension Member' literal value.
`static AxisType` `DIMENSION_MEMBER_LITERAL` The 'Dimension Member' literal object.
`static int` `MEASURE` The 'Measure' literal value.
`static AxisType` `MEASURE_LITERAL` The 'Measure' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Axis Type' enumerators.

Method Summary
`static AxisType` `get(int value)` Returns the 'Axis Type' literal with the specified integer value.
`static AxisType` `get(java.lang.String literal)` Returns the 'Axis Type' literal with the specified literal value.
`static AxisType` `getByName(java.lang.String name)` Returns the 'Axis Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### DIMENSION_MEMBER

    public static final int DIMENSION_MEMBER

  The 'Dimension Member' literal value.

  See Also:
    `DIMENSION_MEMBER_LITERAL`, Constant Field Values

### DIMENSION_ATTRIBUTE

    public static final int DIMENSION_ATTRIBUTE

  The 'Dimension Attribute' literal value.

  See Also:
    `DIMENSION_ATTRIBUTE_LITERAL`, Constant Field Values

### MEASURE

    public static final int MEASURE

  The 'Measure' literal value.

  See Also:
    `MEASURE_LITERAL`, Constant Field Values

### DIMENSION_MEMBER_LITERAL

    public static final AxisType DIMENSION_MEMBER_LITERAL

  The 'Dimension Member' literal object.

  See Also:
    `DIMENSION_MEMBER`

### DIMENSION_ATTRIBUTE_LITERAL

    public static final AxisType DIMENSION_ATTRIBUTE_LITERAL

  The 'Dimension Attribute' literal object.

  See Also:
    `DIMENSION_ATTRIBUTE`

### MEASURE_LITERAL

    public static final AxisType MEASURE_LITERAL

  The 'Measure' literal object.

  See Also:
    `MEASURE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Axis Type' enumerators.

Method Detail

### get

    public static AxisType get(java.lang.String literal)

  Returns the 'Axis Type' literal with the specified literal value.

### getByName

    public static AxisType getByName(java.lang.String name)

  Returns the 'Axis Type' literal with the specified name.

### get

    public static AxisType get(int value)

  Returns the 'Axis Type' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.